Debian Bug report logs - #637777
zeromq: fix kFreeBSD build

version graph

Package: src:zeromq; Maintainer for src:zeromq is Laszlo Boszormenyi (GCS) <gcs@debian.org>;

Reported by: Christoph Egger <christoph@debian.org>

Date: Sun, 14 Aug 2011 10:42:05 UTC

Severity: important

Tags: confirmed

Found in versions zeromq/2.1.7-1, zeromq/2.2.0+dfsg-3

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Lucina <mato@kotelna.sk>:
Bug#637777; Package src:zeromq. (Sun, 14 Aug 2011 10:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Lucina <mato@kotelna.sk>. (Sun, 14 Aug 2011 10:42:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: zeromq: fix kFreeBSD build
Date: Sun, 14 Aug 2011 12:40:25 +0200
Package: src:zeromq
Version: 2.1.7-1
Severity: important
Tags: patch
User: debian-bsd@lists.debian.org
Usertags: kfreebsd-porting

Hi!

Your package failed to build on kfreebsd as the uuid code is
conditionalized on FreeBSD vs Linux while the code is actually GLIBC /
BSDLibC specific. Attached patch fixes this problem and allows zeromq to
build on kfreebsd

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

Patch:

--- zeromq-2.1.7.orig/configure
+++ zeromq-2.1.7/configure
@@ -16427,6 +17058,57 @@ $as_echo "#define ZMQ_FORCE_MUTEXES 1" >
         fi
         ;;
     *freebsd*)
+        case "${host_os}" in
+            *kfreebsd*)
+            { $as_echo "$as_me:${as_lineno-$LINENO}: checking for uuid_generate in -luuid" >&5
+$as_echo_n "checking for uuid_generate in -luuid... " >&6; }
+if ${ac_cv_lib_uuid_uuid_generate+:} false; then :
+  $as_echo_n "(cached) " >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-luuid  $LIBS"
+cat confdefs.h - <<_ACEOF >conftest.$ac_ext
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char uuid_generate ();
+int
+main ()
+{
+return uuid_generate ();
+  ;
+  return 0;
+}
+_ACEOF
+if ac_fn_c_try_link "$LINENO"; then :
+  ac_cv_lib_uuid_uuid_generate=yes
+else
+  ac_cv_lib_uuid_uuid_generate=no
+fi
+rm -f core conftest.err conftest.$ac_objext \
+    conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_uuid_uuid_generate" >&5
+$as_echo "$ac_cv_lib_uuid_uuid_generate" >&6; }
+if test "x$ac_cv_lib_uuid_uuid_generate" = xyes; then :
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBUUID 1
+_ACEOF
+
+  LIBS="-luuid $LIBS"
+
+else
+  as_fn_error $? "cannot link with -luuid, install uuid-dev." "$LINENO" 5
+fi
+
+            ;;
+        esac
         # Define on FreeBSD to enable all library features
         CPPFLAGS="-D__BSD_VISIBLE $CPPFLAGS"
 
--- zeromq-2.1.7.orig/configure.in
+++ zeromq-2.1.7/configure.in
@@ -116,6 +116,12 @@ case "${host_os}" in
         fi
         ;;
     *freebsd*)
+        case "${host_os}" in
+            *kfreebsd*)
+            AC_CHECK_LIB(uuid, uuid_generate, ,
+                [AC_MSG_ERROR([cannot link with -luuid, install uuid-dev.])])
+            ;;
+        esac
         # Define on FreeBSD to enable all library features
         CPPFLAGS="-D__BSD_VISIBLE $CPPFLAGS"
         AC_DEFINE(ZMQ_HAVE_FREEBSD, 1, [Have FreeBSD OS])
--- zeromq-2.1.7.orig/src/uuid.hpp
+++ zeromq-2.1.7/src/uuid.hpp
@@ -25,7 +25,11 @@
 #include "stdint.hpp"
 
 #if defined ZMQ_HAVE_FREEBSD || defined ZMQ_HAVE_NETBSD
+#if defined __GLIBC__
+#include <uuid/uuid.h>
+#else
 #include <uuid.h>
+#endif
 #elif defined ZMQ_HAVE_LINUX || defined ZMQ_HAVE_SOLARIS ||\
       defined ZMQ_HAVE_OSX || defined ZMQ_HAVE_CYGWIN
 #include <uuid/uuid.h>
--- zeromq-2.1.7.orig/src/uuid.cpp
+++ zeromq-2.1.7/src/uuid.cpp
@@ -44,7 +44,7 @@ const char *zmq::uuid_t::to_string ()
     return (char*) string_buf;
 }
 
-#elif defined ZMQ_HAVE_FREEBSD || defined ZMQ_HAVE_NETBSD
+#elif (defined ZMQ_HAVE_FREEBSD || defined ZMQ_HAVE_NETBSD) && ! defined __GLIBC__
 
 #include <stdlib.h>
 #include <uuid.h>
@@ -71,7 +71,7 @@ const char *zmq::uuid_t::to_string ()
 }
 
 #elif defined ZMQ_HAVE_LINUX || defined ZMQ_HAVE_SOLARIS ||\
-      defined ZMQ_HAVE_OSX || defined ZMQ_HAVE_CYGWIN
+      defined ZMQ_HAVE_OSX || defined ZMQ_HAVE_CYGWIN || defined __GLIBC__
 
 #include <uuid/uuid.h>
 


-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Added tag(s) pending. Request was from nomadium-guest@users.alioth.debian.org to control@bugs.debian.org. (Mon, 15 Aug 2011 00:09:02 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Mon, 15 Aug 2011 00:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Lucina <mato@kotelna.sk>:
Bug#637777; Package src:zeromq. (Mon, 15 Aug 2011 01:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to Martin Lucina <mato@kotelna.sk>. (Mon, 15 Aug 2011 01:03:05 GMT) Full text and rfc822 format available.

Message #14 received at 637777@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 637777@bugs.debian.org
Subject: Fwd: zeromq: fix kFreeBSD build
Date: Sun, 14 Aug 2011 20:31:34 -0430
---------- Forwarded message ----------
From: Miguel Landaeta <miguel@miguel.cc>
Date: Sun, Aug 14, 2011 at 8:16 PM
Subject: Re: zeromq: fix kFreeBSD build
To: Christoph Egger <christoph@debian.org>
Cc: control@bugs.debian.org


tag 637777 - pending
thanks

On Sun, Aug 14, 2011 at 7:37 PM, Miguel Landaeta <miguel@miguel.cc> wrote:
> tag 637777 + pending
> thanks
>
> Thank you for the patch. I already committed it to svn.
> Please send it also to upstream at https://github.com/zeromq/pyzmq.
> Since you are a DD, you can upload the fix when you consider prudent.

OK, it seems I got really confused with this bug since the patch applies cleanly
to pyzmq that is the package that I maintain, not zeromq. Sorry about that.

So, now I have a question, is your patch also meant to be applied to pyzmq?

Regards,

--
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche



-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Added tag(s) pending. Request was from bzed@users.alioth.debian.org to control@bugs.debian.org. (Thu, 22 Sep 2011 22:24:05 GMT) Full text and rfc822 format available.

Reply sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
You have taken responsibility. (Sun, 25 Sep 2011 21:57:53 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Sun, 25 Sep 2011 21:57:53 GMT) Full text and rfc822 format available.

Message #21 received at 637777-close@bugs.debian.org (full text, mbox):

From: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
To: 637777-close@bugs.debian.org
Subject: Bug#637777: fixed in pyzmq 2.1.9-1
Date: Sun, 25 Sep 2011 21:32:38 +0000
Source: pyzmq
Source-Version: 2.1.9-1

We believe that the bug you reported is fixed in the latest version of
pyzmq, which is due to be installed in the Debian FTP archive:

python-zmq-dbg_2.1.9-1_amd64.deb
  to main/p/pyzmq/python-zmq-dbg_2.1.9-1_amd64.deb
python-zmq_2.1.9-1_amd64.deb
  to main/p/pyzmq/python-zmq_2.1.9-1_amd64.deb
pyzmq_2.1.9-1.debian.tar.gz
  to main/p/pyzmq/pyzmq_2.1.9-1.debian.tar.gz
pyzmq_2.1.9-1.dsc
  to main/p/pyzmq/pyzmq_2.1.9-1.dsc
pyzmq_2.1.9.orig.tar.gz
  to main/p/pyzmq/pyzmq_2.1.9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 637777@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> (supplier of updated pyzmq package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 23 Sep 2011 00:16:39 +0200
Source: pyzmq
Binary: python-zmq python-zmq-dbg
Architecture: source amd64
Version: 2.1.9-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Description: 
 python-zmq - Python bindings for 0MQ library
 python-zmq-dbg - Python bindings for 0MQ library - debugging files
Closes: 637777
Changes: 
 pyzmq (2.1.9-1) unstable; urgency=low
 .
   * New upstream version
     - should build on kFreeBSD without patches (Closes: #637777).
   * Build-depend on zeromq 2.1.9
Checksums-Sha1: 
 c4f7d2047930377a09b39e6a3825d246e2e5de24 2119 pyzmq_2.1.9-1.dsc
 41fc8a432677bc062d4bd45f6e72511f650e5a4a 329907 pyzmq_2.1.9.orig.tar.gz
 9dea6041ff3b2d026d871159f0f129a711993a8b 3761 pyzmq_2.1.9-1.debian.tar.gz
 825ad756a1c030c2f99ad7a1660fae01979c585c 385174 python-zmq_2.1.9-1_amd64.deb
 0b35385cf323e63b73bf98d19a17cfa9ea44ecef 1113010 python-zmq-dbg_2.1.9-1_amd64.deb
Checksums-Sha256: 
 9fde57649dd1b3e16740e5ac12dc8ef16fad440ed20e9065dc400445ea6e8fc7 2119 pyzmq_2.1.9-1.dsc
 78cc07fc83c5db5d4bedfc80699f883f6a2030b5d06f105032f54002e381562b 329907 pyzmq_2.1.9.orig.tar.gz
 455ddedc2a57ab20ab2c23bd6ae2155a82db745ad0d279f7112899338f4679d9 3761 pyzmq_2.1.9-1.debian.tar.gz
 0a0e3c9b69c14f59fbee0067b37a91d132f2d91bda9ddfdc326ac984cf57aa11 385174 python-zmq_2.1.9-1_amd64.deb
 4af3e786676633ed9eb553776a794b50091d353add291928f79609d3c76112c3 1113010 python-zmq-dbg_2.1.9-1_amd64.deb
Files: 
 62d9f005568bfd47fdcb21272db041a0 2119 python optional pyzmq_2.1.9-1.dsc
 3fe26c5d9f5f9af367bf6b78163e7a74 329907 python optional pyzmq_2.1.9.orig.tar.gz
 150177fc4809d68774907fe18663dd3d 3761 python optional pyzmq_2.1.9-1.debian.tar.gz
 f7362da0acf12d88a3448bb6cac8983b 385174 python optional python-zmq_2.1.9-1_amd64.deb
 1988c25bb494aed949b3a25d124aad0c 1113010 debug extra python-zmq-dbg_2.1.9-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOf4dNAAoJEOs2Fxpv+UNfifMQAKgoVp6Dp6UsZf2jOsm/xn/n
mTWwBl5HzpJUofIjqZStryd1/aaVFktDNM13JCx1MXZF0Jg4hy3owXEgXOLxQ4n9
F/YM/kEdZeMFOKMSkTiY9liEBuT0RKaAGokbBccuaI5RYGDz6rhbvgGXthJo2bIA
NFSYbpWlJgyRWeXsJlNVyPuGV9hjwxKqd4UTqH+iIUEI2swZ7Pqk0cPgHNUM/6mc
XafpUeRmGuTtafpxlwaAY73cN6vgi1bJ+uzIPeAOZdrNMU5slkJVae4MTXJZb9rU
ddagb3Su1Yg+6fH12H8ONCPnJoUSclC1VV/CLlUiIrezR9vDlk3veqgOmlCILlm4
IPG+zPq++XrwYRUmrShkYYMLH4LEmFP5ZNKywNAA41J5UQnctkwnaWqU+mn5hhU7
GYnIxDToTfnJ6IAshabYyfBi1ni+TDtYT3pk12j4PsIsdHZnZRkmhxYqN/eU5aI4
PDElrJuX0m3hGqkolswS/xVPaUYxYSWcepK6ImdnSmre45BUDjNoW/ImmQ8F+4O4
kRBR0Pbbqe8gPEoyrM9U6YVvHkf4RdTdpmwCztJR+319GUXR71bqiXUgy5+rD4NP
Z5gyFfp8/EJJ6ei+3f8AK/ruSdEwdUF5nb7/5BBij19CGg7NYWyEd/lmOJLh6T2B
IpKFnMl/za21sTSic74v
=ND84
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions pyzmq/2.1.9-1. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 12 Jan 2012 20:03:03 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Jan 2012 20:03:04 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Martin Lucina <mato@kotelna.sk> to control@bugs.debian.org. (Tue, 24 Jan 2012 14:09:05 GMT) Full text and rfc822 format available.

Message sent on to Christoph Egger <christoph@debian.org>:
Bug#637777. (Tue, 24 Jan 2012 14:15:03 GMT) Full text and rfc822 format available.

Message #30 received at 637777-submitter@bugs.debian.org (full text, mbox):

From: Martin Lucina <mato@kotelna.sk>
To: 637777-submitter@bugs.debian.org
Subject: Re: #637777 - kFreeBSD support for zeromq
Date: Tue, 24 Jan 2012 15:03:25 +0100
Hi Christoph,

sorry for the mixup, this is indeed a bug in zeromq, not pyzmq.

Your patch no longer applies against libzmq 2.1.11; in any case I'd prefer
to fix this upstream so that we don't have to maintain a separate Debian
patch.

For that I would need access to a kFreeBSD machine for testing the patch.
Please contact me privately if you can provide access to such a box.

Thanks,

-mato




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Lucina <martin@lucina.net>:
Bug#637777; Package src:zeromq. (Mon, 21 May 2012 17:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ghedini <al3xbio@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martin Lucina <martin@lucina.net>. (Mon, 21 May 2012 17:30:06 GMT) Full text and rfc822 format available.

Message #35 received at 637777@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <al3xbio@gmail.com>
To: Christoph Egger <christoph@debian.org>, 637777@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#637777: zeromq: fix kFreeBSD build
Date: Mon, 21 May 2012 19:28:06 +0200
[Message part 1 (text/plain, inline)]
On Sun, Aug 14, 2011 at 12:40:25PM +0200, Christoph Egger wrote:
> Package: src:zeromq
> Version: 2.1.7-1
> Severity: important
> Tags: patch
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd-porting
> 
> Hi!

Hi,

> Your package failed to build on kfreebsd as the uuid code is
> conditionalized on FreeBSD vs Linux while the code is actually GLIBC /
> BSDLibC specific. Attached patch fixes this problem and allows zeromq to
> build on kfreebsd

I have adapted your patch and, along with another one (see attached), zeromq
seems to compile fine on kfreebsd. The problem now is that the tests segfault.

All of them appear to have the same problem with "sigsuspend":

> (gdb) r
> Starting program: /home/ghedo/pkg-zeromq/tests/.libs/test_pair_inproc 
> 
> Program received signal ?, Unknown signal.
> __pthread_sigsuspend ()
>     at ../ports/sysdeps/unix/bsd/bsd4.4/kfreebsd/linuxthreads/pt-sigsuspend.S:24
> 24	../ports/sysdeps/unix/bsd/bsd4.4/kfreebsd/linuxthreads/pt-sigsuspend.S: No such file or directory.
> (gdb) bt
> #0  __pthread_sigsuspend ()
>     at ../ports/sysdeps/unix/bsd/bsd4.4/kfreebsd/linuxthreads/pt-sigsuspend.S:24
> #1  0x0000000800c643b8 in __pthread_wait_for_restart_signal (self=<optimized out>)
>     at pthread.c:1285
> #2  0x0000000800c6507c in suspend (self=<optimized out>) at restart.h:34
> #3  __pthread_create_2_1 (thread=0x604650, attr=<optimized out>, 
>     start_routine=<optimized out>, arg=<optimized out>) at pthread.c:882
> #4  0x000000080084380d in zmq::thread_t::start (this=<optimized out>, 
>     tfn_=<optimized out>, arg_=<optimized out>) at thread.cpp:84
> #5  0x000000080083006e in zmq::ctx_t::ctx_t (this=0x602cc0, io_threads_=1)
>     at ctx.cpp:59
> #6  0x0000000800847541 in zmq_init (io_threads_=1) at zmq.cpp:280
> #7  0x00000000004018ad in context_t (io_threads_=1, this=0x7fffffffe970)
>     at ../include/zmq.hpp:204
> #8  zmqtestutil::basic_tests (transport_=0x402236 "inproc://tester", t1_=0, t2_=0)
>     at testutil.hpp:82
> #9  0x0000000000401342 in main (argc=<optimized out>, argv=<optimized out>)
>     at test_pair_inproc.cpp:29

(this was run on asdfasdf.d.n using the package at [0])

Any idea on what may be causing this?

Cheers

[0] http://anonscm.debian.org/gitweb/?p=collab-maint/zeromq.git

-- 
perl -E '$_=q;$/= @{[@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'
[01_fix-kfreebsd-build.patch (text/x-diff, attachment)]
[02_check-for-SO_NOSIGPIPE.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Lucina <martin@lucina.net>:
Bug#637777; Package src:zeromq. (Mon, 21 May 2012 18:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Martin Lucina <martin@lucina.net>. (Mon, 21 May 2012 18:27:09 GMT) Full text and rfc822 format available.

Message #40 received at 637777@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Alessandro Ghedini <al3xbio@gmail.com>
Cc: Christoph Egger <christoph@debian.org>, 637777@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#637777: zeromq: fix kFreeBSD build
Date: Mon, 21 May 2012 19:25:05 +0100
Hi,

Unfortunately this is a (quite serious) bug #669043 in gdb on
GNU/kFreeBSD.  It is not the test program causing this:

>> (gdb) r
>> Starting program: /home/ghedo/pkg-zeromq/tests/.libs/test_pair_inproc 
>>
>> Program received signal ?, Unknown signal.
>> __pthread_sigsuspend ()
>>     at ../ports/sysdeps/unix/bsd/bsd4.4/kfreebsd/linuxthreads/pt-sigsuspend.S:24

Maybe you could enable core dumps (ulimit -c) when running the test
program and use gdb with that instead?

Or gdb 7.4.1-1.1 should be accepted into unstable tomorrow, hopefully
fixing this.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Removed tag(s) patch. Request was from Alessandro Ghedini <ghedo@debian.org> to control@bugs.debian.org. (Sun, 03 Jun 2012 12:00:24 GMT) Full text and rfc822 format available.

Reply sent to Alessandro Ghedini <ghedo@debian.org>:
You have taken responsibility. (Fri, 17 May 2013 16:36:27 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Fri, 17 May 2013 16:36:27 GMT) Full text and rfc822 format available.

Message #47 received at 637777-close@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <ghedo@debian.org>
To: 637777-close@bugs.debian.org
Subject: Bug#637777: fixed in zeromq 2.2.0+dfsg-3
Date: Fri, 17 May 2013 16:35:13 +0000
Source: zeromq
Source-Version: 2.2.0+dfsg-3

We believe that the bug you reported is fixed in the latest version of
zeromq, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 637777@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessandro Ghedini <ghedo@debian.org> (supplier of updated zeromq package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 17 May 2013 18:06:40 +0200
Source: zeromq
Binary: libzmq1 libzmq-dev libzmq-dbg
Architecture: source amd64
Version: 2.2.0+dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Alessandro Ghedini <ghedo@debian.org>
Changed-By: Alessandro Ghedini <ghedo@debian.org>
Description: 
 libzmq-dbg - lightweight messaging kernel (debugging symbols)
 libzmq-dev - lightweight messaging kernel (development files)
 libzmq1    - lightweight messaging kernel (shared library)
Closes: 637777 696744
Changes: 
 zeromq (2.2.0+dfsg-3) unstable; urgency=low
 .
   * Use repack.{local,stub} instead of get-orig-source rule
   * Bump Standards-Version to 3.9.4 (no changes needed)
   * Fix typo in libzmq-dbg description (Closes: #696744)
   * Add 01_fix-kfreebsd-build.patch to fix FTBFS on kfreebsd (Closes: #637777)
Checksums-Sha1: 
 577e874f44e1c2ba72efcd4dfe481247b462b0e5 1964 zeromq_2.2.0+dfsg-3.dsc
 016539a64f3ea37f9737c2efbd16a9fb76d545c3 6401 zeromq_2.2.0+dfsg-3.debian.tar.gz
 8498a71b0bc4641bc7f0b88522c5d8112a7598e7 242266 libzmq1_2.2.0+dfsg-3_amd64.deb
 b09fad622a178b4a79dd9e1eae0269a7a5976098 367936 libzmq-dev_2.2.0+dfsg-3_amd64.deb
 03f0aaa8e6088ac16ce9fbc0c7cefba98c454da3 892250 libzmq-dbg_2.2.0+dfsg-3_amd64.deb
Checksums-Sha256: 
 93f05fc5862f973f1b349cfdea9f019e72833e4b49b9296ce361de1a7b497c73 1964 zeromq_2.2.0+dfsg-3.dsc
 3675bd873bdacc4b8a2c02d31e4dd34e74c80b4d2aba78e44fe38040f434c046 6401 zeromq_2.2.0+dfsg-3.debian.tar.gz
 528adbbb2a2360e5f23657b638f058a67f8f64d06a00cb562a615d213055927a 242266 libzmq1_2.2.0+dfsg-3_amd64.deb
 1a39d0e66fea7f0822b274c572e81302f1400a1feb73bc6609db76f76cc229dc 367936 libzmq-dev_2.2.0+dfsg-3_amd64.deb
 18f4e1110ca6f4877a58fa46f396c4d828873e16b66ea0cc62995d95a1138243 892250 libzmq-dbg_2.2.0+dfsg-3_amd64.deb
Files: 
 2dacb46a7ca21f62802e359ae2445488 1964 libs optional zeromq_2.2.0+dfsg-3.dsc
 30ce1408bf411c4aa9f769fb6e6ac88f 6401 libs optional zeromq_2.2.0+dfsg-3.debian.tar.gz
 bd836dc9a3af523e8ab4032134d01587 242266 libs optional libzmq1_2.2.0+dfsg-3_amd64.deb
 ff1f1d3af92ca29e042203b17bfdfa41 367936 libdevel optional libzmq-dev_2.2.0+dfsg-3_amd64.deb
 ad19eb532807b2750edffad45846ce70 892250 debug extra libzmq-dbg_2.2.0+dfsg-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRllaeAAoJEK+lG9bN5XPLiqcP/iiPzKhEaxrlc+8MhlY92Z6P
v1XRRShAsbvgXvR2731byeYb4g6gNH7RBdGjB6l1d5QVej9UwxH7GJqXbTT4ycBY
VO2cjpYI1Vpulmev3Fz2VGD0ID1iw7v6Uq2SWU+mu0jqHrmSsff6Gu6tziyIqx+1
Ll0oX2TS6cxoVuEhw4qXpmppzdmJ5/lXW1kq0XpMFBsIIycNwB7LNjKHauvRSeVq
hkFBj/zKPORFRtibhGjRtd4xeUidwAQWU11bit+Lc+2WSC2nXRaLQbqSJC7Vfr5H
6B60rSdD4dmWfijz7dKyUq89UUblq0SQgLBaC2NAvWtpE69xTrhYvoDtxM1xb8di
9niRRz6N4eKrkfPLKsMgntE8vavqv0dxlf1z0ewj3MszoEFed4IBZ5z+oC2DwHOq
HSkzULCgvuOXoNOpkufDCb41DrzJqu450SuiPi9zCsxgaSwE0T1Qyhclcwg0HtD9
wTYjBhzhxfTn7r3dkxRTxlJ82CYfx7qaHo0RbDV4c/zmsDqU2QW1IjpPNgMCdO2k
B+KyDChjQv/0v2BiDfgKVmXGA/ifCozzLV9RXnSBanvrmxcan2I7rlxzpa3S6BvR
8nL+OIZSppTlU9Infqnuugs4YhrVHdnEe0OwIni/OkhJptXPeyuP8sy05HA1xmbI
o26O0EGmjksJmITm/TGL
=ek7g
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#637777; Package src:zeromq. (Sun, 19 May 2013 11:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ghedini <ghedo@debian.org>:
Extra info received and forwarded to list. (Sun, 19 May 2013 11:15:04 GMT) Full text and rfc822 format available.

Message #52 received at 637777@bugs.debian.org (full text, mbox):

From: Alessandro Ghedini <ghedo@debian.org>
To: 637777@bugs.debian.org, control@bugs.debian.org
Subject: Re: tagging 637777
Date: Sun, 19 May 2013 13:10:17 +0200
[Message part 1 (text/plain, inline)]
reopen 637777
found 637777 2.2.0+dfsg-3
kthxbye

Nevermind, it's still failing.

-- 
perl -E '$_=q;$/= @{[@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'
[signature.asc (application/pgp-signature, inline)]

Bug reopened Request was from Alessandro Ghedini <ghedo@debian.org> to control@bugs.debian.org. (Sun, 19 May 2013 11:15:09 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions zeromq/2.2.0+dfsg-3. Request was from Alessandro Ghedini <ghedo@debian.org> to control@bugs.debian.org. (Sun, 19 May 2013 11:15:10 GMT) Full text and rfc822 format available.

Marked as found in versions zeromq/2.2.0+dfsg-3. Request was from Alessandro Ghedini <ghedo@debian.org> to control@bugs.debian.org. (Sun, 19 May 2013 11:15:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:47:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.